Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

 

Department: RBEI/ESD Affected Products: ADTF 2.9.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: DeviceTB::CAN

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

This is regarding an issue that crept up while using ADTF. When we use a DBC file with Chinese characters in it, ADTF crashes with

no records in the log files.

Could you please let us know ASAP if there is any way to solve this language issue from your side?

Note: ADTF version used 2.9.0

Lösung

his is already known Problem within ADTF / Device TB.

Unfortunately it is not possible to use/support such Chinese (or also Japanese) non-ASCI characters. The characters in the dbc file

has to be ASCI characters.

Since the development of ADTF 2.x has already ended and all new development is focused on ADTF 3.x there will also no solution

for this problem in ADTF 2.x.

History

#1 - 2020-04-27 10:56 - hidden

- Project changed from Public Support to 5

- Topic set to DeviceTB::Common

- Customer set to BOSCH

- Affected Products ADTF 2.9.0 added

- Platform Windows 7 64bit added

#2 - 2020-04-27 10:58 - hidden

- Department set to RBEI/ESD

- Platform Windows 10 64bit added

- Platform deleted (Windows 7 64bit)

#4 - 2020-04-27 12:58 - hidden

- Status changed from New to In Progress

#6 - 2020-04-27 14:21 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic changed from DeviceTB::Common to DeviceTB::CAN

- Resolution set to Known Problem

Hello Nitin Joseph Madapally Abraham,

this is already known Problem within ADTF / Device TB.

Unfortunately it is not possible to use/support such Chinese (or also Japanese) non-ASCI characters. The characters in the dbc file has to be ASCI
characters.

Since the development of ADTF 2.x has already ended and all new development is focused on ADTF 3.x there will also no solution for this problem in

ADTF 2.x.

Please give us feedback if this answers your question.

#7 - 2020-04-27 14:45 - hidden

Matthias Fick-Gredler wrote:

Hello Nitin Joseph Madapally Abraham,

this is already known Problem within ADTF / Device TB.

Unfortunately it is not possible to use/support such Chinese (or also Japanese) non-ASCI characters. The characters in the dbc file has to be

ASCI characters.

Since the development of ADTF 2.x has already ended and all new development is focused on ADTF 3.x there will also no solution for this

problem in ADTF 2.x.

Please give us feedback if this answers your question.

 Thank you for your response. I think the issue is resolved.

#8 - 2020-04-27 17:24 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#9 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
